GET /api/operator/professionals

Every professional, approved or waiting.

Surface: operator. Who may call: operator. Key: operator.professionals.list.

Example request

curl -X GET https://caremcp.com/api/operator/professionals \
  -H "Authorization: Bearer <operator token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "id": {
    "type": "string"
   },
   "email": {
    "type": "string"
   },
   "name": {
    "type": "string"
   },
   "location": {
    "type": "object",
    "properties": {
     "country": {
      "type": "string",
      "pattern": "^[A-Z]{2}$"
     },
     "region": {
      "type": "string",
      "pattern": "^[A-Z0-9]{1,3}$"
     }
    },
    "required": [
     "country"
    ],
    "additionalProperties": false
   },
   "languages": {
    "type": "array",
    "items": {
     "type": "string",
     "pattern": "^[a-z]{2}(-[A-Z]{2})?$"
    }
   },
   "professions": {
    "type": "array",
    "items": {
     "type": "string"
    }
   },
   "licensedIn": {
    "type": "array",
    "items": {
     "type": "string"
    }
   },
   "active": {
    "type": "boolean"
   },
   "approvedAt": {
    "type": [
     "string",
     "null"
    ]
   },
   "employment": {
    "type": "string",
    "enum": [
     "contractor",
     "employee"
    ]
   },
   "createdAt": {
    "type": "string"
   }
  },
  "required": [
   "id",
   "email",
   "name",
   "location",
   "languages",
   "professions",
   "licensedIn",
   "active",
   "approvedAt",
   "employment",
   "createdAt"
  ],
  "additionalProperties": false
 }
}